# Get-RubrikAPIToken

## SYNOPSIS

Connects to Rubrik and retrieves a list of generated API tokens

## SYNTAX

```
Get-RubrikAPIToken [[-UserId] <String>] [[-Tag] <String>] [[-OrganizationId] <String>] [[-Server] <String>]
 [[-api] <String>] [<CommonParameters>]
```

## DESCRIPTION

The Get-RubrikAPIToken cmdlet is used to pull a list of generated API tokens from the Rubrik cluster.

## EXAMPLES

### EXAMPLE 1

```
Get-RubrikAPIToken
```

This will return all generated API tokens belonging to the currently logged in user.

### EXAMPLE 2

```
Get-RubrikAPIToken -tag roxie
```

This will return all generated API tokens belonging to the currently logged in user with a 'roxie' tag.

### EXAMPLE 3

```
Get-RubrikAPIToken -organizationId 1111-2222-3333
```

This will return all generated API tokens assigned to the currently logged in user with the specified organization id.

## PARAMETERS

### -UserId

UserID to retrieve tokens from - defaults to currently logged in user

```yaml
Type: String
Parameter Sets: (All)
Aliases: user_id

Required: False
Position: 1
Default value: $rubrikconnection.userId
Accept pipeline input: False
Accept wildcard characters: False
```

### -Tag

Tag assigned to the API Token

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: False
Position: 2
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -OrganizationId

Organization ID the API Token belongs to.

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: False
Position: 3
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Server

Rubrik server IP or FQDN

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: False
Position: 4
Default value: $global:RubrikConnection.server
Accept pipeline input: False
Accept wildcard characters: False
```

### -api

API version

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: False
Position: 5
Default value: $global:RubrikConnection.api
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters

This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about\_CommonParameters](http://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

## OUTPUTS

## NOTES

Written by Mike Preston for community usage Twitter: @mwpreston GitHub: mwpreston

## RELATED LINKS

<https://rubrik.gitbook.io/rubrik-sdk-for-powershell/command-documentation/reference/get-rubrikapitoken>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://rubrik.gitbook.io/rubrik-sdk-for-powershell/command-documentation/reference/get-rubrikapitoken.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
